Bug 1776387 - merged PR - 28200 from foreman is missing in downstream
Summary: merged PR - 28200 from foreman is missing in downstream
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Remote Execution
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-25 15:07 UTC by tstrych
Modified: 2020-04-14 13:27 UTC (History)
4 users (show)

Fixed In Version: foreman-installer-1.24.0-0.7.RC3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28200 'Normal' 'Closed' 'Wrong configured for REX cockpit' 2019-11-25 15:40:14 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:27:37 UTC

Description tstrych 2019-11-25 15:07:55 UTC
Description of problem:
Foreman service expects 19090
But remote execution provides 9999

As you can see in foreman-tail and remote_execution/cockpit.pp
foreman-tail:
Connection refused: AH00957: HTTP: attempt to connect to 127.0.0.1:9999 (*) 

This bz is connected to this PR - https://github.com/theforeman/puppet-foreman/pull/768

PR is merged, but it do not drop into snap3 


Version-Release number of selected component (if applicable):
sat 6.7 snap 3

Expected results:
Get PR into downstream.

Comment 3 tstrych 2019-11-25 15:09:04 UTC
Moving to post as PR is already merged, just forgotten.

Comment 4 Lukas Pramuk 2019-11-29 15:49:23 UTC
VERIFIED.

@Satellite 6.7.0 Snap4
foreman-installer-1.24.0-0.7.RC3.el7sat.noarch

by following manual steps:

# cat /etc/httpd/conf.d/05-foreman-ssl.d/cockpit.conf
...

  RewriteEngine On
  RewriteCond %{HTTP:Upgrade} =websocket [NC]
  RewriteRule /webcon/(.*)           ws://127.0.0.1:19090/webcon/$1 [P]
  RewriteCond %{HTTP:Upgrade} !=websocket [NC]
  RewriteRule /webcon/(.*)           http://127.0.0.1:19090/webcon/$1 [P]

>>> apache rewrite rules are configured to use 19090/tcp

# netstat -plnt | grep cockpit[-]ws
tcp        0      0 127.0.0.1:19090         0.0.0.0:*               LISTEN      8916/cockpit-ws     

>>> foreman-cockpit service is listening on the same port 19090/tcp

Comment 7 errata-xmlrpc 2020-04-14 13:27:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.